<script lang="ts" setup>
import {
  PhFacebookLogo,
  PhInstagramLogo,
  PhPinterestLogo,
  PhTwitterLogo,
} from '@phosphor-icons/vue';
import { useGlobalCMSState } from '@distromade/distro-cms';
import type { Organization } from '~/utils/types';

interface Props {
  org?: Organization;
}
defineProps<Props>();

const { showEditor } = useGlobalCMSState();
const year = new Date().getFullYear();

function toggleEditor() {
  showEditor.value = !showEditor.value;
}
</script>

<template>
  <footer v-if="org" role="contentinfo">
    <div class="max-w-container m-auto">
      <div
        class="w-full flex flex-wrap items-center md:justify-between justify-center"
        v-if="org.brand"
      >
        <nav class="links flex flex-wrap justify-center" aria-label="Footer navigation">
          <NuxtLink to="/products" class="p-3 nav-item">Shop products</NuxtLink>
          <NuxtLink to="/about" class="p-3 nav-item">About us</NuxtLink>
          <NuxtLink to="/shipping-policy" class="p-3 nav-item">Shipping policy</NuxtLink>
          <NuxtLink to="/return-policy" class="p-3 nav-item">Return policy</NuxtLink>
          <NuxtLink to="/contact-us" class="p-3 nav-item">Contact us</NuxtLink>
        </nav>
        <div class="socials flex" aria-label="Social media links">
          <a
            v-if="org.brand.facebook"
            :href="org.brand.facebook"
            target="_blank"
            class="p-3 "
            aria-label="Facebook"
            ><PhFacebookLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.instagram"
            :href="org.brand.instagram"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Instagram"
            ><PhInstagramLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.twitter"
            :href="org.brand.twitter"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Twitter"
            ><PhTwitterLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.pinterest"
            :href="org.brand.pinterest"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Pinterest"
            ><PhPinterestLogo :size="24" aria-hidden="true"
          /></a>
        </div>
      </div>
      <div class="w-full flex flex-col items-center p-3 mt-12">
        <p class="text-sm">©{{ year }} - {{ org.name }}</p>
        <Button @click="toggleEditor" class="cursor-pointer text-sm" text="Edit page" />
      </div>
    </div>
  </footer>
</template>
